Bug 437484 - Rebase DBD::Oracle to 1.20
Rebase DBD::Oracle to 1.20
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
520
All Linux
medium Severity low
: ---
: ---
Assigned To: Michael Mráka
Jeff Browning
: Reopened
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-03-14 11:05 EDT by Jan Pazdziora
Modified: 2008-11-05 13:39 EST (History)
1 user (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (2.38 KB, patch)
2008-07-01 09:51 EDT, Michael Mráka
no flags Details | Diff

  None (edit)
Description Jan Pazdziora 2008-03-14 11:05:37 EDT
Description of problem:

With Satellite 5.1.0, we ship perl-DBD-Oracle-1.19-4.rhel4. There is DBD::Oracle
1.20 on CPAN. I wonder if we want to rebase.

Version-Release number of selected component (if applicable):

perl-DBD-Oracle 1.19 -> 1.20.

How reproducible:

Hmmm.

Steps to Reproduce:
1. Install or upgrade Satellite.
2. rpm -q perl-DBD-Oracle.
  
Actual results:

1.19*.

Expected results:

1.20*.

Additional info:
Comment 1 Jan Pazdziora 2008-05-21 15:34:56 EDT
I wonder if we should do this in the Satellite 5.2.0 timeframe, since we are
rebuilding most everything via dist-cvs anyway ...
Comment 2 Jan Pazdziora 2008-07-01 09:27:58 EDT
A simple rebuilt with 1.21 failed with some compile time problem, so assigning
to Michael to investigate.
Comment 3 Michael Mráka 2008-07-01 09:51:10 EDT
Created attachment 310669 [details]
spec file patch

Compilation errors fixed via -D_GNU_SOURCE.
Comment 4 Michael Mráka 2008-07-01 09:54:44 EDT
DBD::Oracle >= 1.20 requires DBI 1.51 but we are sticked on 1.47 with RHEL4.
As we want same NVR for both RHEL4 and RHEL5 closing this as WONTFIX. 
Comment 5 Michael Mráka 2008-07-02 06:18:37 EDT
Reopening because satellite ships it's own DBI 1.52 on RHEL4.
Comment 6 Michael Mráka 2008-07-02 07:17:51 EDT
Deleting       perl-DBD-Oracle/DBD-Oracle-1.19.tar.gz
Adding  (bin)  perl-DBD-Oracle/DBD-Oracle-1.21.tar.gz
Sending        perl-DBD-Oracle/DBD-Oracle.spec
Deleting       perl-DBD-Oracle/filter-depends-dbd-oracle.sh
Sending        perl-DBD-Oracle/version
Transmitting file data ...
Committed revision 174659.

Built perl-DBD-Oracle-1.21-1.* packages.
Comment 7 Brad Buckingham 2008-08-13 12:53:30 EDT
Mass move to ON_QA.
Comment 8 Jeff Browning 2008-08-20 13:45:29 EDT
# rpm -q perl-DBD-Oracle
perl-DBD-Oracle-1.21-2.el5

Verified
Comment 9 Steve Salevan 2008-10-21 16:10:00 EDT
On Stage Satellites:

# rpm -q perl-DBD-Oracle
perl-DBD-Oracle-1.21-2.el5

# rpm -q perl-DBD-Oracle
perl-DBD-Oracle-1.21-2.el4

Moving to RELEASE_PENDING.
Comment 10 Brandon Perkins 2008-11-05 13:39:47 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.